Name:           python-browsercookie
Version:        0.8.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Loads cookies from your browser into a cookiejar object so can download with urllib and other libraries the same content you see in the web browser.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/richardpenman/browsercookie
Source:         %{pypi_source browsercookie}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'browsercookie' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-browsercookie
Summary:        %{summary}

%description -n python3-browsercookie %_description


%prep
%autosetup -p1 -n browsercookie-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-browsercookie -f %{pyproject_files}


%changelog
%autochangelog